AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Video generationGrok Video

Download a video

Download a completed Grok video through the OpenAI Videos API.

The response body contains binary video data. Save it as a file instead of parsing it as JSON.

GET/v1/videos/{id}/content

Retrieve the file stream for a completed Grok video task. The response body is not JSON and should be saved as a video file. The cURL example uses --output video.mp4 to write the response to a file.

Authorization

bearerAuth
AuthorizationBearer <token>

Use Bearer your-api-key in the Authorization Header.

In: header

Path Parameters

id*string

ID of a completed Grok video task.

Length1 <= length

Response Body

video/mp4

application/json

application/json